Your submission was sent successfully! Close

USN-5686-3: Git vulnerabilities

21 November 2022

Several security issues were fixed in Git.

Releases

Packages

  • git - fast, scalable, distributed revision control system

Details

USN-5686-1 fixed vulnerabilities in Git. This update provides the corresponding
updates for Ubuntu 22.10.

Original advisory details:

Cory Snider discovered that Git incorrectly handled certain symbolic links.
An attacker could possibly use this issue to cause an unexpected behaviour.
(CVE-2022-39253)

Kevin Backhouse discovered that Git incorrectly handled certain command strings.
An attacker could possibly use this issue to arbitrary code execution.
(CVE-2022-39260)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 22.10

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-5686-1: git-el, git-gui, git-daemon-run, git-doc, git-all, git-email, git-mediawiki, gitweb, git-daemon-sysvinit, git, git-svn, git-man, gitk, git-cvs
  • USN-5686-2: git-el, git-gui, git-daemon-run, git-doc, git-all, git-core, git-email, git-mediawiki, git-arch, gitweb, git-daemon-sysvinit, git, git-svn, git-man, gitk, git-cvs